As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1320010 - Inspector sidebar is broken when devtools.layoutview.enabled is set to true
: Inspector sidebar is broken when devtools.layoutview.enabled is set to true
Status: VERIFIED FIXED
[testday-20161125]
: regression
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: 53 Branch
: Unspecified Unspecified
: -- normal (vote)
: Firefox 53
Assigned To: Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ)
:
: Patrick Brosset <:pbro>
Mentors:
Depends on:
Blocks: 1314931
  Show dependency treegraph
 
Reported: 2016-11-23 23:32 PST by Sebastian Zartner [:sebo]
Modified: 2016-12-02 00:53 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: yes
Has STR: ---
unaffected
unaffected
verified
verified


Attachments
1320010.patch (1.14 KB, patch)
2016-11-24 00:25 PST, Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ)
jdescottes: review+
jcristau: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image Sebastian Zartner [:sebo] 2016-11-23 23:32:07 PST
When the preference devtools.layoutview.enabled is set to true the Inspector sidebar can't be opened anymore.

The Browser Console shows the following related errors:

fileName:"resource://devtools/client/shared/browser-loader.js"
lineNumber:125
message:"Module `resource://devtools/client/inspector/layout/components/app.js` is not found at resource://devtools/client/inspector/layout/components/app.js"

TypeError: sidePaneContainer is null[Learn More] inspector.js:1378:11

Sebastian
Comment 2 User image Patrick Brosset <:pbro> 2016-11-24 00:11:15 PST
CC'ing Gabriel as this is something we might want to get to rather quickly.
Thanks Sebastian for filing.
Comment 3 User image Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ) 2016-11-24 00:25:45 PST
Created attachment 8813999 [details] [diff] [review]
1320010.patch

Surprised this didn't report an error on MacOSX and continued to work. This should fix it.
Comment 4 User image Julian Descottes [:jdescottes] 2016-11-24 02:26:47 PST
Comment on attachment 8813999 [details] [diff] [review]
1320010.patch

Review of attachment 8813999 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks for the quick fix! Mind logging a follow up to add a test?

> Surprised this didn't report an error on MacOSX and continued to work.

From what I tested, it works on a local build on OSX, but fails on a Nightly build.
This might be coming from the fact that local builds use symlinks for some files instead of really packaging them.
Which means they benefit of the case insensitive file system used on OSX.
Comment 5 User image Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ) 2016-11-24 02:41:15 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/e13ca676d63607f1a19a73c77b7331253d0e2ba8
Bug 1320010 - Fix incorrect file reference to devtools/inspector/client/layout/components/App. r=jdescottes
Comment 6 User image Carsten Book [:Tomcat] 2016-11-24 07:47:55 PST
https://hg.mozilla.org/mozilla-central/rev/e13ca676d636
Comment 7 User image Sebastian Zartner [:sebo] 2016-11-24 15:55:48 PST
Thank you for the very fast fix! I think this should be backported to 52.

Sebastian
Comment 8 User image Gabriel Luong [:gl][1 biz day review guarantee] (ΦωΦ) 2016-11-24 17:24:42 PST
Comment on attachment 8813999 [details] [diff] [review]
1320010.patch

Approval Request Comment
[Feature/regressing bug #]:
[User impact if declined]: Inspector won't open.
[Describe test coverage new/current, TreeHerder]: None, because it is a path fix.
[Risks and why]: 
[String/UUID change made/needed]:
Comment 9 User image Patrick Brosset <:pbro> 2016-11-25 00:31:46 PST
It helps people taking the decision to uplift this if they are given a bit more information about the request. So let me add a few more details:
> Approval Request Comment
> [Feature/regressing bug #]: bug 1314931
> [User impact if declined]: If the pref devtools.layoutview.enabled is set to true (it is false by default), then the Inspector panel in DevTools won't open.
> [Describe test coverage new/current, TreeHerder]: None, because it is a path fix.
> [Risks and why]: The risk is very limited, and the code changed here doesn't impact Firefox, only DevTools, and only when the pref devtools.layoutview.enabled is set to true.
> [String/UUID change made/needed]: None
Comment 10 User image Julien Cristau [:jcristau] 2016-11-28 00:28:46 PST
Comment on attachment 8813999 [details] [diff] [review]
1320010.patch

devtools fix for osx, take in aurora52

Thanks for clarifying the uplift request, Patrick!
Comment 11 User image Akash 2016-11-28 03:49:38 PST
I've seen this issue on this bug in nightly 53.0a1 (2016-11-23) from windows 10, 64 bit.

This bug is verified now as fixed on latest nightly 53.0a1 .

Build Id :(20161127030208)

User agent : (Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:53.0) Gecko/20100101 Firefox/53.0)
Comment 12 User image Carsten Book [:Tomcat] 2016-11-28 06:59:09 PST
needs rebasing for aurora
Comment 13 User image Ryan VanderMeulen [:RyanVM] 2016-11-28 18:02:21 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/f3a55c57f637
Comment 14 User image Maruf Rahman[:mMARUF] 2016-11-30 09:34:38 PST
I have reproduced this bug with Nightly 53.0a1 (2016-11-23) (64-bit)  on Windows 7, 64 Bit !

This bug's fix is verified with latest Aurora

Build ID    20161130004019
User Agent  Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
 [bugday-20161130]

Note You need to log in before you can comment on or make changes to this bug.